" **************************************************************************** "
"                                                                              "
"                                                         :::      ::::::::    "
"    init.vim                                           :+:      :+:    :+:    "
"                                                     +:+ +:+         +:+      "
"    By: cchauvet <cchauvet@student.42angouleme.fr  +#+  +:+       +#+         "
"                                                 +#+#+#+#+#+   +#+            "
"    Created: 2023/01/19 15:09:40 by cchauvet          #+#    #+#              "
"    Updated: 2023/01/19 17:02:01 by cchauvet         ###   ########.fr        "
"                                                                              "
" **************************************************************************** "

set tabstop=4
set shiftwidth=4
set colorcolumn=80
set syntax=on
set linebreak 
set number relativenumber
set mouse=a
set showmatch
syntax on
filetype on
set hlsearch
set autoindent
set cursorline
set nobackup
set ignorecase


" PLUGINS
call plug#begin()

Plug 'Valloric/YouCompleteMe', { 'do': './install.py --all' }
Plug 'nvim-lualine/lualine.nvim'
Plug 'KeitaNakamura/neodark.vim'
" Plug 'maxboisvert/vim-simple-complete'
Plug 'voldikss/vim-floaterm'
Plug '42Paris/42header'
Plug 'vim-syntastic/syntastic'
Plug 'alexandregv/norminette-vim'
Plug 'jiangmiao/auto-pairs'

call plug#end()

" SYNTAXE
let g:syntastic_c_checkers = ['norminette', 'clang']
let g:syntastic_aggregate_errors = 1
let g:c_syntax_for_h = 1
let g:syntastic_c_include_dirs = ['include', '../include', '../../include', 'libft', '../libft/include', '../../libft/include']
let g:syntastic_check_on_open = 1
let g:syntastic_always_populate_loc_list = 1
let g:syntastic_auto_loc_list = 1
let g:syntastic_check_on_wq = 0

" REMAP
nnoremap <silent> ;t :FloatermToggle<cr>
nnoremap <silent> ;c gg/^SRC<cr>f=C= <esc>:r! find . -type f -name '*.c' \| cut -c3-<cr>Vgg/^SRC<cr>J
nnoremap <silent> ;I :PlugInstall<cr>
nnoremap <silent> ;U :PlugUpdate<cr>
nnoremap <silent> ;c gg/^SRCS<cr>f=C= <esc>:r! find *.c -type f <cr>Vgg/^SRCS<cr>J
nnoremap <silent> ;u :!wget -O ~/.config/nvim/init.vim 'https://git.chauvet.pro/starnakin/.config/raw/branch/master/nvim/init.vim'<cr><cr>;s

" THEME
set termguicolors  
colorscheme neodark
set list listchars=tab:│·
set noshowmode

source ~/.nvimrc
